Package org.apache.wiki.security

# Class EventUtil

java.lang.Object
org.apache.wiki.security.EventUtil

public final class EventUtil extends Object
A utility class to append audit log attributes to a WikiEvent

Since:
  3.0.0

## Method Summary

Modifier and Type
Method
Description
`static org.apache.wiki.event.WikiEvent`
`applyFrom(org.apache.wiki.event.WikiEvent event, jakarta.servlet.http.HttpServletRequest request)`
`static org.apache.wiki.event.WikiEvent`
`applyFrom(org.apache.wiki.event.WikiEvent event, jakarta.servlet.jsp.PageContext request)`
`static org.apache.wiki.event.WikiEvent`
`applyFrom(org.apache.wiki.event.WikiEvent event, org.apache.wiki.api.core.Context request)`
`static org.apache.wiki.event.WikiEvent`
`applyFrom(org.apache.wiki.event.WikiEvent event, org.apache.wiki.api.core.Session request)`
`static org.apache.wiki.event.WikiEvent`
`applyFrom(org.apache.wiki.event.WikiSecurityEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### applyFrom

public static org.apache.wiki.event.WikiEvent applyFrom(org.apache.wiki.event.WikiSecurityEvent event)

### applyFrom

public static org.apache.wiki.event.WikiEvent applyFrom(org.apache.wiki.event.WikiEvent event, jakarta.servlet.jsp.PageContext request)

### applyFrom

public static org.apache.wiki.event.WikiEvent applyFrom(org.apache.wiki.event.WikiEvent event, org.apache.wiki.api.core.Session request)

### applyFrom

public static org.apache.wiki.event.WikiEvent applyFrom(org.apache.wiki.event.WikiEvent event, org.apache.wiki.api.core.Context request)

### applyFrom

public static org.apache.wiki.event.WikiEvent applyFrom(org.apache.wiki.event.WikiEvent event, jakarta.servlet.http.HttpServletRequest request)